%define upstream_name    Gtk2-Notify
%define upstream_version 0.05

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl interface to libnotify
License:	GPL
Group:		Development/Perl
Url:		http://search.cpan.org/dist/Gtk2-Notify%{upstream_name}
Source0:	ftp://ftp.perl.org/pub/CPAN/modules/by-module/Gtk2/%{upstream_name}-%{upstream_version}.tar.bz2
# (Fedora) patch to make it build with libnotify-0.7
Patch0:		perl-Gtk2-Notify-0.05-libnotify-0.7.patch

BuildRequires:  libnotify-devel	
BuildRequires:	perl(ExtUtils::Depends)
BuildRequires:	perl-ExtUtils-PkgConfig
BuildRequires:  perl-Gtk2
BuildRequires:  perl-Test-Exception
BuildRequires:	perl-devel
BuildRequires:	libpango-devel
BuildRequires:	libgtk+2-devel

%description
Perl interface to libnotify.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}
%apply_patches

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorarch}/*
%{_mandir}/man3/*


%changelog

* Sun Aug 28 2011 fwang <fwang> 0.50.0-4.mga2
+ Revision: 135826
- rebuild

* Sun Jun 12 2011 ahmad <ahmad> 0.50.0-3.mga2
+ Revision: 104436
- Add a patch from Fedora to make it build with libnotify-0.7
- Add BR libpango-devel, libgtk+2-devel

* Mon Jan 24 2011 jquelin <jquelin> 0.50.0-2.mga1
+ Revision: 36328
- mageia rebuild
- imported package perl-Gtk2-Notify

